package com.ejie.ab39a.model;

import com.ejie.ab39a.constantes.Constantes;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.gfi.utils.Utilities;

import java.util.ArrayList;
import java.util.List;

/**
 * TecnicosEntidad.
 * 
 *  
 */

public class TecnicosEntidad implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer codtecnico;
	private Integer baja;
	private TiposIdentif tipoIdentif;
	private String docidentificacion;
	private String nombre;
	private String ape1;
	private String ape2;
	private String telefono1;
	private String telefono2;
	private String email;
	private String sexo;
	private String calle;
	private String numcalle;
	private String codpostal;
	private String municipio;
	private String provincia;
	private String localidad;
	private List<Entidades> entidadeses = new ArrayList<Entidades>();
	private String direccionesEntidades;
	private String tipoEntidad;
	private String codth;
	private String codmun;
	private String codloc;
	private Entidades entidadPrincipal;
	private List<Entidades> entidadesesNoAsociadas = new ArrayList<Entidades>();
	private Integer codentidad;
	private Integer codPlane;
	private Integer asoc;

	// Atributos para mostra la descripcion del territorio historico y el
	// municipio
	private String descTh;
	private String descMun;
	private String descLoc;

	/**
	 * Method 'TecnicosEntidad'.
	 */
	public TecnicosEntidad() {
		super();
	}

	/**
	 * Method 'TecnicosEntidad'.
	 * 
	 * @param codtecnico
	 *            Integer codtecnico
	 */
	public TecnicosEntidad(Integer codtecnico) {
		super();
		this.codtecnico = codtecnico;
	}

	/**
	 * Method 'TecnicosEntidad'.
	 * 
	 * @param codtecnico
	 *            Integer codtecnico
	 * @param baja
	 *            Integer baja
	 * @param docidentificacion
	 *            String docidentificacion
	 * @param nombre
	 *            String nombre
	 * @param ape1
	 *            String ape1
	 * @param ape2
	 *            String ape2
	 * @param telefono1
	 *            String telefono1
	 * @param telefono2
	 *            String telefono2
	 * @param email
	 *            String email
	 * @param sexo
	 *            String sexo
	 * @param calle
	 *            String calle
	 * @param numcalle
	 *            String numcalle
	 * @param codpostal
	 *            String codpostal
	 * @param municipio
	 *            String municipio
	 * @param provincia
	 *            String provincia
	 * @param tipoIdentif
	 *            TiposIdentif tipoIdentif
	 * @param direccionesEntidades
	 *            String direccionesEntidades
	 * @param localidad
	 *            String localidad
	 */
	public TecnicosEntidad(Integer codtecnico, Integer baja, TiposIdentif tipoIdentif, String docidentificacion,
			String nombre, String ape1, String ape2, String telefono1, String telefono2, String email, String sexo,
			String calle, String numcalle, String codpostal, String municipio, String provincia,
			String direccionesEntidades, String localidad) {
		super();

		this.tipoIdentif = tipoIdentif;
		this.docidentificacion = docidentificacion;
		this.nombre = nombre;
		this.ape1 = ape1;
		this.ape2 = ape2;
		this.sexo = sexo;
		this.calle = calle;
		this.telefono1 = telefono1;
		this.telefono2 = telefono2;
		this.email = email;
		this.numcalle = numcalle;
		this.codpostal = codpostal;
		this.municipio = municipio;
		this.provincia = provincia;
		this.localidad = localidad;
		this.codmun = municipio;
		this.codth = provincia;
		this.codloc = localidad;
		this.codtecnico = codtecnico;
		this.baja = baja;
		this.direccionesEntidades = direccionesEntidades;
	}

	/**
	 * Method 'TecnicosEntidad'.
	 * 
	 * @param codtecnico
	 *            Integer codtecnico
	 * @param baja
	 *            Integer baja
	 * @param docidentificacion
	 *            String docidentificacion
	 * @param nombre
	 *            String nombre
	 * @param ape1
	 *            String ape1
	 * @param ape2
	 *            String ape2
	 * @param telefono1
	 *            String telefono1
	 * @param telefono2
	 *            String telefono2
	 * @param email
	 *            String email
	 * @param sexo
	 *            String sexo
	 * @param calle
	 *            String calle
	 * @param numcalle
	 *            String numcalle
	 * @param codpostal
	 *            String codpostal
	 * @param municipio
	 *            String municipio
	 * @param provincia
	 *            String provincia
	 * @param tipoIdentif
	 *            TiposIdentif tipoIdentif
	 * @param direccionesEntidades
	 *            String direccionesEntidades
	 * @param descProv
	 *            String descProv
	 * @param descMuni
	 *            String descMuni
	 * @param localidad
	 *            String localidad
	 * @param descLoc
	 *            String descLoc
	 */
	public TecnicosEntidad(Integer codtecnico, Integer baja, TiposIdentif tipoIdentif, String docidentificacion,
			String nombre, String ape1, String ape2, String telefono1, String telefono2, String email, String sexo,
			String calle, String numcalle, String codpostal, String municipio, String provincia,
			String direccionesEntidades, String descProv, String descMuni, String localidad, String descLoc) {
		super();
		this.nombre = nombre;
		this.ape1 = ape1;
		this.ape2 = ape2;
		this.codtecnico = codtecnico;
		this.baja = baja;
		this.tipoIdentif = tipoIdentif;
		this.docidentificacion = docidentificacion;
		this.sexo = sexo;
		this.telefono1 = telefono1;
		this.telefono2 = telefono2;
		this.email = email;
		this.calle = calle;
		this.numcalle = numcalle;
		this.codpostal = codpostal;
		this.codmun = municipio;
		this.codth = provincia;
		this.codloc = localidad;
		this.direccionesEntidades = direccionesEntidades;
		this.descTh = descProv;
		this.descMun = descMuni;
		this.descLoc = descLoc;
		this.municipio = municipio;
		this.provincia = provincia;
		this.localidad = localidad;
	}

	/**
	 * Method 'TecnicosEntidad'.
	 * 
	 * @param codtecnico
	 *            Integer codtecnico
	 * @param baja
	 *            Integer baja
	 * @param docidentificacion
	 *            String docidentificacion
	 * @param nombre
	 *            String nombre
	 * @param ape1
	 *            String ape1
	 * @param ape2
	 *            String ape2
	 * @param telefono1
	 *            String telefono1
	 * @param telefono2
	 *            String telefono2
	 * @param email
	 *            String email
	 * @param sexo
	 *            String sexo
	 * @param calle
	 *            String calle
	 * @param numcalle
	 *            String numcalle
	 * @param codpostal
	 *            String codpostal
	 * @param municipio
	 *            String municipio
	 * @param provincia
	 *            String provincia
	 * @param entidadeses
	 *            List<Entidades> entidadeses
	 * @param localidad
	 *            String localidad
	 * @param tipoIdentif
	 *            TiposIdentif tipoIdentif
	 */
	public TecnicosEntidad(Integer codtecnico, Integer baja, TiposIdentif tipoIdentif, String docidentificacion,
			String nombre, String ape1, String ape2, String telefono1, String telefono2, String email, String sexo,
			String calle, String numcalle, String codpostal, String municipio, String provincia,
			List<Entidades> entidadeses, String localidad) {// 17
		super();
		this.baja = baja;
		this.tipoIdentif = tipoIdentif;
		this.docidentificacion = docidentificacion;
		this.nombre = nombre;
		this.ape1 = ape1;
		this.ape2 = ape2;
		this.email = email;
		this.sexo = sexo;
		this.entidadeses = entidadeses;
		this.localidad = localidad;
		this.calle = calle;
		this.numcalle = numcalle;
		this.codpostal = codpostal;
		this.municipio = municipio;
		this.provincia = provincia;
		this.codtecnico = codtecnico;
		this.telefono1 = telefono1;
		this.telefono2 = telefono2;
	}

	/**
	 * Method 'TecnicosEntidad'.
	 * 
	 * @param codtecnico
	 *            Integer codtecnico
	 * @param baja
	 *            Integer baja
	 * @param docidentificacion
	 *            String docidentificacion
	 * @param nombre
	 *            String nombre
	 * @param ape1
	 *            String ape1
	 * @param ape2
	 *            String ape2
	 * @param telefono1
	 *            String telefono1
	 * @param telefono2
	 *            String telefono2
	 * @param email
	 *            String email
	 * @param sexo
	 *            String sexo
	 * @param calle
	 *            String calle
	 * @param numcalle
	 *            String numcalle
	 * @param codpostal
	 *            String codpostal
	 * @param municipio
	 *            String municipio
	 * @param provincia
	 *            String provincia
	 * @param entidadeses
	 *            List<Entidades> entidadeses
	 * @param descTh
	 *            String descripcion de la provincia
	 * @param descMun
	 *            String descripcion del municipio
	 * @param tipoIdentif
	 *            TiposIdentif tipoIdentif
	 * @param direccionesEntidades
	 *            String direccionesEntidades
	 * @param tipoEntidad
	 *            String tipoEntidad
	 * @param codth
	 *            String codth
	 * @param codmun
	 *            String codmun
	 * @param entidadPrincipal
	 *            Entidades entidadPrincipal
	 * @param localidad
	 *            String localidad
	 * @param codLoc
	 *            String codLoc
	 * @param descLoc
	 *            String descLoc
	 */

	public TecnicosEntidad(Integer codtecnico, Integer baja, TiposIdentif tipoIdentif, String docidentificacion,
			String nombre, String ape1, String ape2, String telefono1, String telefono2, String email, String sexo,
			String calle, String numcalle, String codpostal, String municipio, String provincia,
			List<Entidades> entidadeses, String direccionesEntidades, String tipoEntidad, String codth, String codmun,
			Entidades entidadPrincipal, String descTh, String descMun, String localidad, String codLoc,
			String descLoc) {// 25
		super();

		this.tipoIdentif = tipoIdentif;
		this.docidentificacion = docidentificacion;
		this.nombre = nombre;
		this.ape1 = ape1;
		this.ape2 = ape2;
		this.telefono1 = telefono1;
		this.telefono2 = telefono2;
		this.email = email;
		this.sexo = sexo;
		this.calle = calle;
		this.codtecnico = codtecnico;
		this.baja = baja;
		this.entidadeses = entidadeses;
		this.direccionesEntidades = direccionesEntidades;
		this.tipoEntidad = tipoEntidad;
		this.codth = codth;
		this.codmun = codmun;
		this.entidadPrincipal = entidadPrincipal;
		this.descTh = descTh;
		this.descMun = descMun;
		this.numcalle = numcalle;
		this.codpostal = codpostal;
		this.municipio = municipio;
		this.provincia = provincia;
		this.localidad = localidad;
		this.codloc = codLoc;
		this.descLoc = descLoc;
	}

	/**
	 * Method 'getCodtecnico'.
	 *
	 * @return Integer
	 */

	public Integer getCodtecnico() {
		return this.codtecnico;
	}

	/**
	 * Method 'setCodtecnico'.
	 *
	 * @param codtecnico
	 *            Integer
	 */

	public void setCodtecnico(Integer codtecnico) {
		this.codtecnico = codtecnico;
	}

	/**
	 * Method 'getBaja'.
	 *
	 * @return Integer
	 */

	public Integer getBaja() {
		return this.baja;
	}

	/**
	 * Method 'setBaja'.
	 *
	 * @param baja
	 *            Integer
	 */

	public void setBaja(Integer baja) {
		this.baja = baja;
	}

	/**
	 * Method 'getDocidentificacion'.
	 *
	 * @return String
	 */

	public String getDocidentificacion() {
		return this.docidentificacion;
	}

	/**
	 * Method 'setDocidentificacion'.
	 *
	 * @param docidentificacion
	 *            String
	 */

	public void setDocidentificacion(String docidentificacion) {
		this.docidentificacion = docidentificacion;
	}

	/**
	 * Method 'getNombre'.
	 *
	 * @return String
	 */

	public String getNombre() {
		return this.nombre;
	}

	/**
	 * Method 'setNombre'.
	 *
	 * @param nombre
	 *            String
	 */

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	/**
	 * Method 'getApe1'.
	 *
	 * @return String
	 */

	public String getApe1() {
		return this.ape1;
	}

	/**
	 * Method 'setApe1'.
	 *
	 * @param ape1
	 *            String
	 */

	public void setApe1(String ape1) {
		this.ape1 = ape1;
	}

	/**
	 * Method 'getApe2'.
	 *
	 * @return String
	 */

	public String getApe2() {
		return this.ape2;
	}

	/**
	 * Method 'setApe2'.
	 *
	 * @param ape2
	 *            String
	 */

	public void setApe2(String ape2) {
		this.ape2 = ape2;
	}

	/**
	 * Method 'getTelefono1'.
	 *
	 * @return String
	 */

	public String getTelefono1() {
		return this.telefono1;
	}

	/**
	 * Method 'setTelefono1'.
	 *
	 * @param telefono1
	 *            String
	 */

	public void setTelefono1(String telefono1) {
		this.telefono1 = telefono1;
	}

	/**
	 * Method 'getTelefono2'.
	 *
	 * @return String
	 */

	public String getTelefono2() {
		return this.telefono2;
	}

	/**
	 * Method 'setTelefono2'.
	 *
	 * @param telefono2
	 *            String
	 */

	public void setTelefono2(String telefono2) {
		this.telefono2 = telefono2;
	}

	/**
	 * Method 'getEmail'.
	 *
	 * @return String
	 */

	public String getEmail() {
		return this.email;
	}

	/**
	 * Method 'setEmail'.
	 *
	 * @param email
	 *            String
	 */

	public void setEmail(String email) {
		this.email = email;
	}

	/**
	 * Method 'getSexo'.
	 *
	 * @return String
	 */

	public String getSexo() {
		return this.sexo;
	}

	/**
	 * Method 'setSexo'.
	 *
	 * @param sexo
	 *            String
	 */

	public void setSexo(String sexo) {
		this.sexo = sexo;
	}

	/**
	 * Method 'getCalle'.
	 *
	 * @return String
	 */

	public String getCalle() {
		return this.calle;
	}

	/**
	 * Method 'setCalle'.
	 *
	 * @param calle
	 *            String
	 */

	public void setCalle(String calle) {
		this.calle = calle;
	}

	/**
	 * Method 'getNumcalle'.
	 *
	 * @return String
	 */

	public String getNumcalle() {
		return this.numcalle;
	}

	/**
	 * Method 'setNumcalle'.
	 *
	 * @param numcalle
	 *            String
	 */

	public void setNumcalle(String numcalle) {
		this.numcalle = numcalle;
	}

	/**
	 * Method 'getCodpostal'.
	 *
	 * @return String
	 */

	public String getCodpostal() {
		return this.codpostal;
	}

	/**
	 * Method 'setCodpostal'.
	 *
	 * @param codpostal
	 *            String
	 */

	public void setCodpostal(String codpostal) {
		this.codpostal = codpostal;
	}

	/**
	 * Method 'getMunicipio'.
	 *
	 * @return String
	 */

	public String getMunicipio() {
		return this.municipio;
	}

	/**
	 * Method 'setMunicipio'.
	 *
	 * @param municipio
	 *            String
	 */

	public void setMunicipio(String municipio) {
		this.municipio = municipio;
	}

	/**
	 * Method 'getProvincia'.
	 *
	 * @return String
	 */

	public String getProvincia() {
		return this.provincia;
	}

	/**
	 * Method 'setProvincia'.
	 *
	 * @param provincia
	 *            String
	 */

	public void setProvincia(String provincia) {
		this.provincia = provincia;
	}

	/**
	 * Method 'getEntidadeses'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<Entidades> getEntidadeses() {
		return this.entidadeses;
	}

	/**
	 * Method 'setEntidadeses'.
	 *
	 * @param entidadeses
	 *            List
	 */
	public void setEntidadeses(List<Entidades> entidadeses) {
		this.entidadeses = entidadeses;
	}

	/**
	 * @return the direccionesEntidades
	 */
	public String getDireccionesEntidades() {
		return direccionesEntidades;
	}

	/**
	 * @param direccionesEntidades
	 *            the direccionesEntidades to set
	 */
	public void setDireccionesEntidades(String direccionesEntidades) {
		this.direccionesEntidades = direccionesEntidades;
	}

	/**
	 * @return the tipoEntidad
	 */
	public String getTipoEntidad() {
		return tipoEntidad;
	}

	/**
	 * @param tipoEntidad
	 *            the tipoEntidad to set
	 */
	public void setTipoEntidad(String tipoEntidad) {
		this.tipoEntidad = tipoEntidad;
	}

	/**
	 * @return the codth
	 */
	public String getCodth() {
		return codth;
	}

	/**
	 * @param codth
	 *            the codth to set
	 */
	public void setCodth(String codth) {
		this.codth = codth;
	}

	/**
	 * @return the codmun
	 */
	public String getCodmun() {
		return codmun;
	}

	/**
	 * @param codmun
	 *            the codmun to set
	 */
	public void setCodmun(String codmun) {
		this.codmun = codmun;
	}

	/**
	 * @return the entidadPrincipal
	 */
	public Entidades getEntidadPrincipal() {
		return entidadPrincipal;
	}

	/**
	 * @param entidadPrincipal
	 *            the entidadPrincipal to set
	 */
	public void setEntidadPrincipal(Entidades entidadPrincipal) {
		this.entidadPrincipal = entidadPrincipal;
	}

	/**
	 * @return the tipoIdentif
	 */
	public TiposIdentif getTipoIdentif() {
		return tipoIdentif;
	}

	/**
	 * @param tipoIdentif
	 *            the tipoIdentif to set
	 */
	public void setTipoIdentif(TiposIdentif tipoIdentif) {
		this.tipoIdentif = tipoIdentif;
	}

	public String getDescTh() {
		return descTh;
	}

	public void setDescTh(String descTh) {
		this.descTh = descTh;
	}

	public String getDescMun() {
		return descMun;
	}

	public void setDescMun(String descMun) {
		this.descMun = descMun;
	}

	/**
	 * @return the entidadesesNoAsociadas
	 */
	public List<Entidades> getEntidadesesNoAsociadas() {
		return entidadesesNoAsociadas;
	}

	/**
	 * @param entidadesesNoAsociadas
	 *            the entidadesesNoAsociadas to set
	 */
	public void setEntidadesesNoAsociadas(List<Entidades> entidadesesNoAsociadas) {
		this.entidadesesNoAsociadas = entidadesesNoAsociadas;
	}

	/**
	 * @return the codentidad
	 */
	public Integer getCodentidad() {
		return codentidad;
	}

	/**
	 * @param codentidad
	 *            the codentidad to set
	 */
	public void setCodentidad(Integer codentidad) {
		this.codentidad = codentidad;
	}

	/**
	 * Método para recoger la dirección completa del técnico de la entidad
	 * 
	 * @return direccion String
	 */
	public String getDireccion() {
		String direccion = Constantes.VACIO;

		if (!Utilities.isEmpty(this.calle)) {
			direccion += this.calle + Constantes.ESPACIO;
		}
		if (!Utilities.isEmpty(this.numcalle)) {
			direccion += this.numcalle + Constantes.ESPACIO;
		}
		if (!Utilities.isEmpty(this.codpostal)) {
			direccion += this.codpostal + Constantes.ESPACIO;
		}
		if (!Utilities.isEmpty(this.municipio)) {
			direccion += this.municipio + Constantes.ESPACIO;
		}
		if (!Utilities.isEmpty(this.provincia)) {
			direccion += this.provincia + Constantes.ESPACIO;
		}

		return direccion;
	}

	/**
	 * Método que devuelve la dirección completa
	 * 
	 * @return String
	 */
	public String getDireccioncompleta() {

		StringBuilder direccionCompleta = new StringBuilder(Constantes.VACIO);

		if (!Utilities.isEmpty(this.getDireccion())) {
			direccionCompleta.append(this.getDireccion());

			if (!Utilities.isEmptyNumber(this.getNumcalle())) {
				direccionCompleta.append(Constantes.ESPACIO).append(this.getNumcalle());
			}

			if (!Utilities.isEmptyNumber(this.getCodpostal())) {
				direccionCompleta.append(Constantes.ESPACIO).append(this.getCodpostal());
			}

			if (!Utilities.isEmptyNumber(this.getLocalidad())) {
				direccionCompleta.append(Constantes.ESPACIO).append(this.getLocalidad());
			}

			if (!Utilities.isEmptyNumber(this.getMunicipio())) {
				direccionCompleta.append(Constantes.ESPACIO).append(this.getMunicipio());
			}

			if (!Utilities.isEmptyNumber(this.getProvincia())) {
				direccionCompleta.append(Constantes.ESPACIO).append(this.getProvincia());
			}

		}

		return direccionCompleta.toString();
	}

	/**
	 * Método que devuelve la dirección completa
	 * 
	 * @return String
	 */
	public String getDireccioncompletaDescripcion() {

		StringBuilder direccionCompleta = new StringBuilder(Constantes.VACIO);

		if (!Utilities.isEmpty(this.getCalle())) {
			direccionCompleta.append(this.getCalle());

			if (!Utilities.isEmptyNumber(this.getNumcalle())) {
				direccionCompleta.append(Constantes.ESPACIO).append(this.getNumcalle());
			}

			if (!Utilities.isEmptyNumber(this.getCodpostal())) {
				direccionCompleta.append(Constantes.ESPACIO).append(this.getCodpostal());
			}

			if (!Utilities.isEmpty(this.descLoc)) {
				direccionCompleta.append(Constantes.ESPACIO).append(this.getDescLoc());
			}

			if (!Utilities.isEmpty(this.descMun)) {
				direccionCompleta.append(Constantes.ESPACIO).append(this.getDescMun());
			}

			if (!Utilities.isEmpty(this.descTh)) {
				direccionCompleta.append(Constantes.ESPACIO).append(this.getDescTh());
			}

		}

		return direccionCompleta.toString();
	}

	/**
	 * Método que devuelve el nombre completo
	 * 
	 * @return String
	 */
	public String getNombrecompleto() {

		StringBuilder nombreCompleto = new StringBuilder(Constantes.VACIO);

		if (!Utilities.isEmpty(this.getNombre())) {
			nombreCompleto.append(this.getNombre());

			if (!Utilities.isEmptyNumber(this.getApe1())) {
				nombreCompleto.append(Constantes.ESPACIO).append(this.getApe1());
			}

			if (!Utilities.isEmptyNumber(this.getApe2())) {
				nombreCompleto.append(Constantes.ESPACIO).append(this.getApe2());
			}

		}

		return nombreCompleto.toString();
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ codtecnico: ").append(this.codtecnico).append(" ]");
		result.append(", [ baja: ").append(this.baja).append(" ]");
		result.append(", [ docidentificacion: ").append(this.docidentificacion).append(" ]");
		result.append(", [ nombre: ").append(this.nombre).append(" ]");
		result.append(", [ ape1: ").append(this.ape1).append(" ]");
		result.append(", [ ape2: ").append(this.ape2).append(" ]");
		result.append(", [ telefono1: ").append(this.telefono1).append(" ]");
		result.append(", [ telefono2: ").append(this.telefono2).append(" ]");
		result.append(", [ email: ").append(this.email).append(" ]");
		result.append(", [ sexo: ").append(this.sexo).append(" ]");
		result.append(", [ calle: ").append(this.calle).append(" ]");
		result.append(", [ numcalle: ").append(this.numcalle).append(" ]");
		result.append(", [ codpostal: ").append(this.codpostal).append(" ]");
		result.append(", [ municipio: ").append(this.municipio).append(" ]");
		result.append(", [ provincia: ").append(this.provincia).append(" ]");
		result.append(", [ localidad: ").append(this.localidad).append(" ]");
		result.append("}");
		return result.toString();
	}

	/**
	 * 
	 * @return String
	 */
	public String getLocalidad() {
		return localidad;
	}

	/**
	 * 
	 * @param localidad
	 *            String
	 */
	public void setLocalidad(String localidad) {
		this.localidad = localidad;
	}

	/**
	 * 
	 * @return String
	 */
	public String getCodloc() {
		return codloc;
	}

	/**
	 * 
	 * @param codloc
	 *            String
	 */
	public void setCodloc(String codloc) {
		this.codloc = codloc;
	}

	/**
	 * 
	 * @return String
	 */
	public String getDescLoc() {
		return descLoc;
	}

	/**
	 * 
	 * @param descLoc
	 *            String
	 */
	public void setDescLoc(String descLoc) {
		this.descLoc = descLoc;
	}

	public Integer getCodPlane() {
		return codPlane;
	}

	public void setCodPlane(Integer codPlane) {
		this.codPlane = codPlane;
	}

	public Integer getAsoc() {
		return asoc;
	}

	public void setAsoc(Integer asoc) {
		this.asoc = asoc;
	}

}
